// TabHDR_CMOSIS4M.cpp
//

#include "stdafx.h"
#include "sttrgdisplay.h"
#include "TabHDR_CMOSIS4M.h"


// CTabHDR_CMOSIS4M

IMPLEMENT_DYNAMIC(CTabHDR_CMOSIS4M, CDialog)

CTabHDR_CMOSIS4M::CTabHDR_CMOSIS4M(CWnd* pParent /*=NULL*/)
	: CTabChildBase(CTabHDR_CMOSIS4M::IDD, pParent)
{
	m_szTabName = TEXT("HDR");
	m_ComboBoxCtrlCount = 2;
	m_pComboBoxCtrlID = new UINT[m_ComboBoxCtrlCount];
	m_pComboBoxCtrlID[0] = IDC_COMBO_HDR_CMOSIS4M_MODE;
	m_pComboBoxCtrlID[1] = IDC_COMBO_HDR_CMOSIS4M_SLOPE_NUM;

	//SliderCtrl
	m_SliderCtrlCount = 4;
	m_pSliderCtrlID = new UINT[m_SliderCtrlCount];
	m_pSliderCtrlID[0] = IDC_SLIDER_HDR_CMOSIS4M_KNEE1;
	m_pSliderCtrlID[1] = IDC_SLIDER_HDR_CMOSIS4M_VLOW2;
	m_pSliderCtrlID[2] = IDC_SLIDER_HDR_CMOSIS4M_KNEE2;
	m_pSliderCtrlID[3] = IDC_SLIDER_HDR_CMOSIS4M_VLOW3;

	//EditCtrl
	m_EditCtrlCount = 4;
	m_pEditCtrlID = new UINT[m_EditCtrlCount];
	m_pEditCtrlID[0] = IDC_EDIT_HDR_CMOSIS4M_KNEE1;
	m_pEditCtrlID[1] = IDC_EDIT_HDR_CMOSIS4M_VLOW2;
	m_pEditCtrlID[2] = IDC_EDIT_HDR_CMOSIS4M_KNEE2;
	m_pEditCtrlID[3] = IDC_EDIT_HDR_CMOSIS4M_VLOW3;
}

CTabHDR_CMOSIS4M::~CTabHDR_CMOSIS4M()
{
}

void CTabHDR_CMOSIS4M::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CTabHDR_CMOSIS4M, CTabChildBase)
END_MESSAGE_MAP()


